API reference
GET /api/v1/nodes
Edge nodes and their advertised capacity.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Maximum number of items to return. |
region | string | no | Restrict results to a single region code. |
Response
Content-Type application/json. Cache-Control public, max-age=60.
{
"object": "list",
"data": [
{
"id": "nod_m9l07xi3nduh0d",
"created_at": "2024-09-18T08:29:54Z",
"pop": "mil1",
"status": "operational",
"capacity": "24G"
},
{
"id": "nod_stgvca5qmsvoxv",
"created_at": "2024-02-26T15:28:50Z",
"pop": "vie1",
"status": "operational",
"capacity": "52G"
},
{
"id": "nod_d1pzzmdd3lu7ah",
"created_at": "2024-12-12T07:44:11Z",
"pop": "vie1",
"status": "operational",
"capacity": "92G"
}
],
"pagination": {
"limit": 20,
"count": 3,
"has_more": false
...Example
curl -s https://api-ssl.kelpstream.com/api/v1/nodes